Which browsers are supported by Hotelzon?

Hotelzon aims to support all major browsers available today. However, as a fully PCI DSS compliant company, we must ensure Hotelzon uses the most secure protocols. Currently, there are TLS 1.1 and TLS 1.2 protocols.

To avoid security vulnerabilities and take advantage of all Hotelzon’s features, you’ll need to use a browser that supports TLS 1.1 or TLS 1.2 protocols. Additionally, it is generally a best practice to keep all of your browser updated to the latest version.

Windows supported browsers

Internet Explorer and Edge

  • Internet Explorer 11 (minimum)
  • Latest version (recommended)

Note: The version of Internet Explorer is limited by the Windows version. Internet Explorer under Windows XP and Windows Vista do not support TLS 1.1 and higher. Older versions of the browser can be configured manually to use TLS 1.1 and higher (Windows 7 and above).

Google Chrome

  • TLS 1.1 is supported from Chrome version 22 and TLS 1.2 from version 30.
  • Latest version (recommended)

Mac OS Supported Browsers

Safari

  • TLS 1.1/1.2 are supported starting from OS X 10.9, Safari 7
  • Latest version (recommended)

Google Chrome

  • TLS 1.1 is supported from Chrome version 22 and TLS 1.2 from version 30.
  • Latest version (recommended)

Smartphones and Tablets

For the best experience, we recommend the Hotelzon mobile app. However, if you prefer to access Hotelzon via your smartphone’s browsers, we also support all major browsers available today.

iOS

Safari

  • Safari 5 - TLS 1.1/1.2 are supported starting from iOS 5
  • Latest version (recommended)

Google Chrome

  • TLS 1.1 is supported from Chrome version 22 and TLS 1.2 from version 30.
  • Latest version (recommended)

Mozilla Firefox

  • TLS 1.1/1.2 are supported from version 34
  • Latest version (recommended)

Opera

  • TLS 1.1/1.2 are supported from version 17
  • Latest version (recommended)

Android

Android default browser

  • TLS 1.1/1.2 are supported from Android 5.
  • On Android 4 devices, TLS 1.1 and 1.2 are disabled by default. We advise you to use a different browser (for instance, Chrome) if the default browser is not configured to support TLS 1.1 and higher.

Google Chrome

  • TLS 1.1 is supported from Chrome version 22 and TLS 1.2 from version 30.
  • Latest version (recommended)

Mozilla Firefox

  • TLS 1.1/1.2 are supported from version 34
  • Latest version (recommended)

Opera

  • TLS 1.1/1.2 are supported from version 17
  • Latest version (recommended)

If you need more help on your supported browsers, please contact us.